Can we run AODT backend on Supermicro ARS-111GL-NHR (which is typically used for ARC-OTA)?

Can we run AODT backend on Supermicro ARS-111GL-NHR (which is typically used for ARC-OTA)?

We installed Ubuntu-22.04.5 on Supermicro ARS-111GL-NHR and followed the instruction to install AODT version 1.1.

The command:

curl -L “https://api.ngc.nvidia.com/v2/org/esee5uzbruax/resources/aodt-installer/versions/$versionTag/files/aodt_bundle.zip” -H “Authorization: Bearer$TOKEN” -H “Content-Type: application/json” -o $downloadedZip

downloaded aodt_bundle.zip but it has only 117 bytes. The next command

unzip -o $downloadedZip

gave the following error messages:

Archive: /home/csiro/aodt_bundle.zip
End-of-central-directory signature not found. Either this file is not
a zipfile, or it constitutes one disk of a multi-part archive. In the
latter case the central directory and zipfile comment will be found on
the last disk(s) of this archive.
unzip: cannot find zipfile directory in one of /home/csiro/aodt_bundle.zip or
/home/csiro/aodt_bundle.zip.zip, and cannot find /home/csiro/aodt_bundle.zip.ZIP, period.

I tried with another Ubuntu PC but the result is the same. No error messages were shown except the last one.

Any suggestions are welcome.

Thanks and regards,

Hajime

Please regenerate the token try the following (note the additional space between “Bearer and $TOKEN”:
curl -L “https://api.ngc.nvidia.com/v2/org/esee5uzbruax/resources/aodt-installer/versions/$versionTag/files/aodt_bundle.zip” -H “Authorization: Bearer $TOKEN” -H “Content-Type: application/json” -o $downloadedZip

Hi

Thanks for your response. I had a problem even with the extra space but just found out that I was using “Personal Key”. When I used “API Key”, it started downloading a larger file. Thanks for your support in any case.

Actually AODT may not run on ARS-111GL-NHR at the moment because it is ARM based. I got the following error during the installation:

2024-11-08 08:10:51 URL:https://us.download.nvidia.com/XFree86/Linux-x86_64/550.107.02/NVIDIA-Linux-x86_64-550.107.02.run [307251605/307251605] → “NVIDIA-Linux-x86_64-550.107.02.run” [1]

ERROR: this .run file is intended for the
Linux-x86_64 platform, but you appear to be
running on Linux-aarch64. Aborting installation.

@hajime.suzuki Yes, correct. The drivers are not compatible with ARM based platforms

@hajime.suzuki You can try with 550.127.05 that is available for Linix_aarch. We cannot guarantee if it will work.